// Type de donnees de base 
//                E. Lesquoy , E. Aubourg 
//                             R. Ansari 04/95

// LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA

#include "sopnamsp.h"
#include "datatypes.h"

/* Nouvelle-Fonction */
char * DataName(PBaseDataTypes typ)
{
switch (typ)
  {
  case kuint_1 :
    return ("uint_1");
  case kint_1 :
    return ("int_1");
  case kuint_2 :
    return ("uint_2");
  case kint_2 :
    return ("int_2");
  case kint_4:
    return ("int_4");
  case kr_4 :
    return ("r_4");
  case kr_8 :
    return ("r_8");
  default :
    return ("unknown");
  }
}

/* Nouvelle-Fonction */
char * DataLongName(PBaseDataTypes typ)
{
switch (typ)
  {
  case kuint_1 :
    return ("unsigned char (*1)");
  case kint_1 :
    return ("signed char (*1)");
  case kuint_2 :
    return ("unsigned short int (*2)");
  case kint_2 :
    return ("short int (*2)");
  case kint_4:
    return ("int (*4)");
  case kr_4 :
    return ("float (*4)");
  case kr_8 :
    return ("double (*8)");
  default :
    return ("unknown");
  }
}

/* Nouvelle-Fonction */
int DataSize(PBaseDataTypes typ)
{
switch (typ)
  {
  case kuint_1 :
    return (sizeof(uint_1));
  case kint_1 :
    return (sizeof(int_1));
  case kuint_2 :
    return (sizeof(uint_2));
  case kint_2 :
    return (sizeof(int_2));
  case kint_4:
    return (sizeof(int_4));
  case kr_4 :
    return (sizeof(r_4));
  case kr_8 :
    return (sizeof(r_8));
  default :
    return (0);
  }
}



